Group Members

Group members are the ones who get added to the WorkDrive group and assigned each a group role: Group Admin or Group Member.

  • A group admin can add new members to the group, change member roles, and remove members from the group. They can also edit the group info (name and description).
  • A Group member can only view the list of the members in their Groups.

You can assign users to multiple groups, and they can access data according to the permissions assigned to each group.

Download Group Members OpenAPI Document
Download






Get Group Member Info

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the required information about a group member.

Endpoints

OAuth Scope

WorkDrive.groups.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/groupmembers/{group_member_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

group_member_idstring(Required)

The unique ID of the group member

Response Example

R004

F000

200
200
404
500
Copied!
  {
    "data": {
      "id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002023",
      "type": "groupmembers",
      "attributes": {
        "member_id": 2774428000000002000,
        "email_id": "reyansh.ahuja@zylker.com",
        "added_time": "Apr 13, 12:25 AM",
        "capabilities": {
          "can_read": true,
          "can_delete": true,
          "can_edit": true,
          "can_rename": true,
          "can_add_members": true
        },
        "display_name": "Zylker Creation",
        "modified_time": "Apr 13, 12:25 AM",
        "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404",
        "group_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021",
        "role_id": 31,
        "added_by": "Zylker Creation",
        "modified_by": "Zylker Creation",
        "member_zuid": "747938058",
        "status": 1
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/groupmembers/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002023"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full